Index: trunk/bp-groups/bp-groups-classes.php
===================================================================
--- trunk/bp-groups/bp-groups-classes.php	(revision 7314)
+++ trunk/bp-groups/bp-groups-classes.php	(revision 7316)
@@ -12,16 +12,16 @@
 
 class BP_Groups_Group {
-	var $id;
-	var $creator_id;
-	var $name;
-	var $slug;
-	var $description;
-	var $status;
-	var $enable_forum;
-	var $date_created;
-
-	var $admins;
-	var $mods;
-	var $total_member_count;
+	public $id;
+	public $creator_id;
+	public $name;
+	public $slug;
+	public $description;
+	public $status;
+	public $enable_forum;
+	public $date_created;
+
+	public $admins;
+	public $mods;
+	public $total_member_count;
 
 	/**
@@ -49,5 +49,5 @@
 	public $user_has_access;
 
-	function __construct( $id = null ) {
+	public function __construct( $id = null ) {
 		if ( !empty( $id ) ) {
 			$this->id = $id;
@@ -56,5 +56,5 @@
 	}
 
-	function populate() {
+	public function populate() {
 		global $wpdb, $bp;
 
@@ -97,5 +97,5 @@
 	}
 
-	function save() {
+	public function save() {
 		global $wpdb, $bp;
 
@@ -168,5 +168,5 @@
 	}
 
-	function delete() {
+	public function delete() {
 		global $wpdb, $bp;
 
@@ -213,10 +213,10 @@
 	}
 
-	function get_invites( $user_id, $group_id ) {
+	public static function get_invites( $user_id, $group_id ) {
 		global $wpdb, $bp;
 		return $wpdb->get_col( $wpdb->prepare( "SELECT user_id FROM {$bp->groups->table_name_members} WHERE group_id = %d and is_confirmed = 0 AND inviter_id = %d", $group_id, $user_id ) );
 	}
 
-	function filter_user_groups( $filter, $user_id = 0, $order = false, $limit = null, $page = null ) {
+	public static function filter_user_groups( $filter, $user_id = 0, $order = false, $limit = null, $page = null ) {
 		global $wpdb, $bp;
 
@@ -246,5 +246,5 @@
 	 * @todo Deprecate in favor of get()
 	 */
-	function search_groups( $filter, $limit = null, $page = null, $sort_by = false, $order = false ) {
+	public static function search_groups( $filter, $limit = null, $page = null, $sort_by = false, $order = false ) {
 		global $wpdb, $bp;
 
@@ -269,5 +269,5 @@
 	}
 
-	function check_slug( $slug ) {
+	public static function check_slug( $slug ) {
 		global $wpdb, $bp;
 
@@ -275,5 +275,5 @@
 	}
 
-	function get_slug( $group_id ) {
+	public static function get_slug( $group_id ) {
 		global $wpdb, $bp;
 
@@ -281,5 +281,5 @@
 	}
 
-	function has_members( $group_id ) {
+	public static function has_members( $group_id ) {
 		global $wpdb, $bp;
 
@@ -292,5 +292,5 @@
 	}
 
-	function has_membership_requests( $group_id ) {
+	public static function has_membership_requests( $group_id ) {
 		global $wpdb, $bp;
 
@@ -298,5 +298,5 @@
 	}
 
-	function get_membership_requests( $group_id, $limit = null, $page = null ) {
+	public static function get_membership_requests( $group_id, $limit = null, $page = null ) {
 		global $wpdb, $bp;
 
@@ -311,5 +311,5 @@
 	}
 
-	function get( $args = array() ) {
+	public static function get( $args = array() ) {
 		global $wpdb, $bp;
 
@@ -621,5 +621,5 @@
 	 * @return string $order_by_term
 	 */
-	protected function convert_orderby_to_order_by_term( $orderby ) {
+	protected static function convert_orderby_to_order_by_term( $orderby ) {
 		$order_by_term = '';
 
@@ -650,5 +650,5 @@
 	}
 
-	function get_by_most_forum_topics( $limit = null, $page = null, $user_id = 0, $search_terms = false, $populate_extras = true, $exclude = false ) {
+	public static function get_by_most_forum_topics( $limit = null, $page = null, $user_id = 0, $search_terms = false, $populate_extras = true, $exclude = false ) {
 		global $wpdb, $bp, $bbdb;
 
@@ -692,5 +692,5 @@
 	}
 
-	function get_by_most_forum_posts( $limit = null, $page = null, $search_terms = false, $populate_extras = true, $exclude = false ) {
+	public static function get_by_most_forum_posts( $limit = null, $page = null, $search_terms = false, $populate_extras = true, $exclude = false ) {
 		global $wpdb, $bp, $bbdb;
 
@@ -734,5 +734,5 @@
 	}
 
-	function get_by_letter( $letter, $limit = null, $page = null, $populate_extras = true, $exclude = false ) {
+	public static function get_by_letter( $letter, $limit = null, $page = null, $populate_extras = true, $exclude = false ) {
 		global $wpdb, $bp;
 
@@ -777,5 +777,5 @@
 	}
 
-	function get_random( $limit = null, $page = null, $user_id = 0, $search_terms = false, $populate_extras = true, $exclude = false ) {
+	public static function get_random( $limit = null, $page = null, $user_id = 0, $search_terms = false, $populate_extras = true, $exclude = false ) {
 		global $wpdb, $bp;
 
@@ -817,5 +817,5 @@
 	}
 
-	function get_group_extras( &$paged_groups, &$group_ids, $type = false ) {
+	public static function get_group_extras( &$paged_groups, &$group_ids, $type = false ) {
 		global $bp, $wpdb;
 
@@ -852,5 +852,5 @@
 	}
 
-	function delete_all_invites( $group_id ) {
+	public static function delete_all_invites( $group_id ) {
 		global $wpdb, $bp;
 
@@ -858,5 +858,5 @@
 	}
 
-	function get_total_group_count() {
+	public static function get_total_group_count() {
 		global $wpdb, $bp;
 
@@ -868,5 +868,5 @@
 	}
 
-	function get_global_forum_topic_count( $type ) {
+	public static function get_global_forum_topic_count( $type ) {
 		global $bbdb, $wpdb, $bp;
 
@@ -884,5 +884,5 @@
 	}
 
-	function get_total_member_count( $group_id ) {
+	public static function get_total_member_count( $group_id ) {
 		global $wpdb, $bp;
 
@@ -899,5 +899,5 @@
 	 * @return int The topic count
 	 */
-	function get_global_topic_count( $status = 'public', $search_terms = false ) {
+	public static function get_global_topic_count( $status = 'public', $search_terms = false ) {
 		global $bbdb, $wpdb, $bp;
 
@@ -945,5 +945,5 @@
 	 * @return array
 	 */
-	function get_group_type_ids() {
+	public static function get_group_type_ids() {
 		global $wpdb, $bp;
 
@@ -1195,5 +1195,5 @@
 	var $user;
 
-	function __construct( $user_id = 0, $group_id = 0, $id = false, $populate = true ) {
+	public function __construct( $user_id = 0, $group_id = 0, $id = false, $populate = true ) {
 
 		// User and group are not empty, and ID is
@@ -1217,5 +1217,5 @@
 	}
 
-	function populate() {
+	public function populate() {
 		global $wpdb, $bp;
 
@@ -1246,5 +1246,5 @@
 	}
 
-	function save() {
+	public function save() {
 		global $wpdb, $bp;
 
@@ -1290,5 +1290,5 @@
 	}
 
-	function promote( $status = 'mod' ) {
+	public function promote( $status = 'mod' ) {
 		if ( 'mod' == $status ) {
 			$this->is_admin   = 0;
@@ -1306,5 +1306,5 @@
 	}
 
-	function demote() {
+	public function demote() {
 		$this->is_mod     = 0;
 		$this->is_admin   = 0;
@@ -1314,5 +1314,5 @@
 	}
 
-	function ban() {
+	public function ban() {
 		if ( !empty( $this->is_admin ) )
 			return false;
@@ -1324,5 +1324,5 @@
 	}
 
-	function unban() {
+	public function unban() {
 		if ( !empty( $this->is_admin ) )
 			return false;
@@ -1333,5 +1333,5 @@
 	}
 
-	function accept_invite() {
+	public function accept_invite() {
 		$this->inviter_id    = 0;
 		$this->is_confirmed  = 1;
@@ -1339,10 +1339,10 @@
 	}
 
-	function accept_request() {
+	public function accept_request() {
 		$this->is_confirmed = 1;
 		$this->date_modified = bp_core_current_time();
 	}
 
-	function remove() {
+	public function remove() {
 		global $wpdb, $bp;
 
@@ -1385,5 +1385,5 @@
 	}
 
-	function delete( $user_id, $group_id ) {
+	public static function delete( $user_id, $group_id ) {
 		global $wpdb, $bp;
 
@@ -1399,5 +1399,5 @@
 	}
 
-	function get_group_ids( $user_id, $limit = false, $page = false ) {
+	public static function get_group_ids( $user_id, $limit = false, $page = false ) {
 		global $wpdb, $bp;
 
@@ -1420,5 +1420,5 @@
 	}
 
-	function get_recently_joined( $user_id, $limit = false, $page = false, $filter = false ) {
+	public static function get_recently_joined( $user_id, $limit = false, $page = false, $filter = false ) {
 		global $wpdb, $bp;
 
@@ -1442,5 +1442,5 @@
 	}
 
-	function get_is_admin_of( $user_id, $limit = false, $page = false, $filter = false ) {
+	public static function get_is_admin_of( $user_id, $limit = false, $page = false, $filter = false ) {
 		global $wpdb, $bp;
 
@@ -1464,5 +1464,5 @@
 	}
 
-	function get_is_mod_of( $user_id, $limit = false, $page = false, $filter = false ) {
+	public static function get_is_mod_of( $user_id, $limit = false, $page = false, $filter = false ) {
 		global $wpdb, $bp;
 
@@ -1518,5 +1518,5 @@
 	}
 
-	function check_has_invite( $user_id, $group_id, $type = 'sent' ) {
+	public static function check_has_invite( $user_id, $group_id, $type = 'sent' ) {
 		global $wpdb, $bp;
 
@@ -1532,5 +1532,5 @@
 	}
 
-	function delete_invite( $user_id, $group_id ) {
+	public static function delete_invite( $user_id, $group_id ) {
 		global $wpdb, $bp;
 
@@ -1541,5 +1541,5 @@
 	}
 
-	function delete_request( $user_id, $group_id ) {
+	public static function delete_request( $user_id, $group_id ) {
 		global $wpdb, $bp;
 
@@ -1595,5 +1595,5 @@
 	 * @since BuddyPress (1.2.6)
 	 */
-	function check_is_creator( $user_id, $group_id ) {
+	public static function check_is_creator( $user_id, $group_id ) {
 		global $bp, $wpdb;
 
@@ -1604,5 +1604,5 @@
 	}
 
-	function check_for_membership_request( $user_id, $group_id ) {
+	public static function check_for_membership_request( $user_id, $group_id ) {
 		global $wpdb, $bp;
 
@@ -1613,5 +1613,5 @@
 	}
 
-	function get_random_groups( $user_id = 0, $total_groups = 5 ) {
+	public static function get_random_groups( $user_id = 0, $total_groups = 5 ) {
 		global $wpdb, $bp;
 
@@ -1624,5 +1624,5 @@
 	}
 
-	function get_group_member_ids( $group_id ) {
+	public static function get_group_member_ids( $group_id ) {
 		global $bp, $wpdb;
 
@@ -1630,5 +1630,5 @@
 	}
 
-	function get_group_administrator_ids( $group_id ) {
+	public static function get_group_administrator_ids( $group_id ) {
 		global $bp, $wpdb;
 
@@ -1636,5 +1636,5 @@
 	}
 
-	function get_group_moderator_ids( $group_id ) {
+	public static function get_group_moderator_ids( $group_id ) {
 		global $bp, $wpdb;
 
@@ -1642,5 +1642,5 @@
 	}
 
-	function get_all_membership_request_user_ids( $group_id ) {
+	public static function get_all_membership_request_user_ids( $group_id ) {
 		global $bp, $wpdb;
 
@@ -1648,5 +1648,5 @@
 	}
 
-	function get_all_for_group( $group_id, $limit = false, $page = false, $exclude_admins_mods = true, $exclude_banned = true, $exclude = false ) {
+	public static function get_all_for_group( $group_id, $limit = false, $page = false, $exclude_admins_mods = true, $exclude_banned = true, $exclude = false ) {
 		global $bp, $wpdb;
 
@@ -1708,5 +1708,5 @@
 	}
 
-	function delete_all( $group_id ) {
+	public static function delete_all( $group_id ) {
 		global $wpdb, $bp;
 
@@ -1723,5 +1723,5 @@
 	 * @uses BP_Groups_Member
 	 */
-	function delete_all_for_user( $user_id ) {
+	public static function delete_all_for_user( $user_id ) {
 		global $bp, $wpdb;
 
